Subject: [Cuirass] Filter results by architecture
From: Ricardo Wurmus <[email-masked]>
To: [email-masked]
Date: Wed, 29 Aug 2018 15:54:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The Cuirass web interface shows the number of successful, failed, and
pending builds for each evaluation.  Looking at just these numbers it is
impossible to tell, how each of the supported architectures is affected.

It would be good if we could separate the view by architecture.  Then we
could more easily determine that a change broke many builds for one
architecture while fixing builds on another.

One way to do this would be to accept an optional query variable, e.g.

    http://ci.guix.info/jobset/guix-master?system=x86_64-linux

This could be selected from a drop-down on the page or exposed through a
number of links.

--
Ricardo